<?php

require('config.php');
require('../lang.php');
require('../files/dbstart.php');
require('../files/session.php');


$pwd = '';
$name = '';
$email = '';

$rows = getArrayWithQuery('select * from user where id=' . $userid );
if (count($rows) != 1) {
    header('Location: ../login.php');
    return;
} else {
    $email = $rows[0]['email'];
    $pwd = $rows[0]['password'];
    $name = $rows[0]['name'];
}
?>

<!DOCTYPE html>
<html>

<?php
require('../files/head.php');
?>

<body class="hold-transition skin-blue sidebar-mini">


<!-- ./wrapper -->

<!-- jQuery 2.2.3 -->
<script src="../plugins/jQuery/jquery-2.2.3.min.js"></script>
<!-- Bootstrap 3.3.6 -->
<script src="../bootstrap/js/bootstrap.min.js"></script>
<!-- SlimScroll -->
<script src="../plugins/slimScroll/jquery.slimscroll.min.js"></script>
<!-- FastClick -->
<script src="../plugins/fastclick/fastclick.js"></script>
<!-- AdminLTE App -->
<script src="../dist/js/app.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="../dist/js/demo.js"></script>
<script src="../dist/js/validate.js"></script>
<script>

    function onfilechange() {
        document.getElementById('photo').value = '';
    }

    $(document).ready(function () {
        pwdchanged = false;


        $('#password').change(function () {
            pwdchanged = true;
        });

        $('#submitform').submit(function (event) {
            var name = $("#username").val() || $("#fromname").val();
            var email = $("#email").val();
            var pwd = $("#password").val();
            var pwd2 = $("#password2").val();

            var ret = true;
            var errmsg = '';
            if (name == '' || email == '' || pwd == '' || pwd2 == '') {
                errmsg += '- <?php echo $lang['allfieldreq']?>';
                ret = false;
            } else if (name.length > 50 || email.length > 50) {
                errmsg += '- <?php echo $lang['name-emailgt50']?>';
                ret = false;
            }

            if (pwd != pwd2) {
                errmsg += '\n- <?php echo $lang['passwordmismatch']?>';
                ret = false;
            }

            var validation = isValidPassword(pwd);
            if (pwdchanged && validation.status != 'yes') {
                ret = false;
                errmsg += validation.msg;
            }

            if (ret == false) {
                alert(errmsg);
                event.preventDefault();
            }
        });

    });

</script>
<!-- Site wrapper -->
<div class="wrapper">

    <?php
    require('../files/header.php');
    ?>
    <?php require('sidebar.php'); ?>
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                <?php echo $lang['settings']; ?>
            </h1>
        </section>

        <!-- Main content -->
        <section class="content">

            <div class="row">
                <div class="col-xs-12">
                    <div class="box">
                        <!-- /.box-header -->
                        <div class="box box-primary">
                            <div class="box-header with-border">
                            </div>
                            <!-- /.box-header -->
                            <!-- form start -->
                            <form role="form" action="update_c.php" id="submitform" method="post"
                                  enctype="multipart/form-data">
                                <div class="box-body">

                                        <?php if (isset($_GET['saved'])) { ?>
                                            <div class="alert alert-success" id="success-alert">
                                                <button type="button" class="close" data-dismiss="alert">x</button>
                                                <strong><?php echo $lang['saved'] ?> </strong>
                                            </div>
                                            <script>
                                                $("#success-alert").fadeTo(1000, 500).slideUp(500, function () {
                                                    $("#success-alert").slideUp(500);
                                                });
                                            </script>
                                        <?php } else if (isset($_GET['id-double'])){ ?>
                                            <div class="alert alert-error" id="id-double-alert">
                                                <button type="button" class="close" data-dismiss="alert">x</button>
                                                <strong><?php echo $lang['id_already_exist'] ?> </strong>
                                            </div>
                                            <script>
                                                $("#id-double-alert").fadeTo(4000, 500).slideUp(500, function () {
                                                    $("#id-double-alert").slideUp(500);
                                                });
                                            </script>
                                        <?php } else if (isset($_GET['db-error'])){ ?>
                                            <div class="alert alert-error" id="db-error-alert">
                                                <button type="button" class="close" data-dismiss="alert">x</button>
                                                <strong><?php echo $lang['database_error'] ?> </strong>
                                            </div>
                                            <script>
                                                $("#db-error-alert").fadeTo(4000, 500).slideUp(500, function () {
                                                    $("#db-error-alert").slideUp(500);
                                                });
                                            </script>
                                        <?php } else if (isset($_GET['email-double'])){ ?>
                                            <div class="alert alert-error" id="email-double-alert">
                                                <button type="button" class="close" data-dismiss="alert">x</button>
                                                <strong><?php echo $lang['email_already exist'] ?> </strong>
                                            </div>
                                            <script>
                                                $("#email-double-alert").fadeTo(4000, 500).slideUp(500, function () {
                                                    $("#email-double-alert").slideUp(500);
                                                });
                                            </script>
                                        <?php } ?>

                                    <?php if($usertype == 'admin') { ?>
                                    <div class="form-group">
                                        <label for="name"><?php echo $lang['fromname']; ?></label>
                                        <input name="fromname" type="text" class="form-control" id="fromname"
                                               placeholder="<?php echo $lang['name']; ?>" value="<?php echo $from_name; ?>">
                                    </div>
                                    <div class="form-group">
                                        <label for="fromemail"><?php echo $lang['fromemail']; ?></label>
                                        <input name="fromemail" type="email"
                                               pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$" class="form-control"
                                               id="fromemail" placeholder="<?php echo $lang['emailaddress']; ?>"
                                               value="<?php echo $from_email; ?>">
                                    </div>
                                    <?php } ?>

                                    <div class="form-group">
                                        <label for="email"><?php echo $lang['email']; ?></label>
                                        <input name="email" type="email"
                                               pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$" class="form-control"
                                               id="email" placeholder="<?php echo $lang['emailaddress']; ?>"
                                               value="<?php echo $email; ?>">
                                    </div>

                                    <?php if($usertype == 'user') { ?>
                                    <div class="form-group">
                                        <label for="username"><?php echo $lang['username']; ?></label>
                                        <input name="username" type="text" class="form-control" id="username" value="<?php echo $name;?>">
                                    </div>
                                    <?php } ?>

                                    <div class="form-group">
                                        <label for="password"><?php echo $lang['password']; ?></label>
                                        <input name="password" type="password" class="form-control" id="password"
                                               placeholder="<?php echo $lang['password']; ?>"
                                               value="<?php echo $pwd; ?>">
                                    </div>

                                    <div class="form-group">
                                        <label for="password2"><?php echo $lang['retypepassword']; ?></label>
                                        <input type="password" class="form-control" id="password2"
                                               placeholder="<?php echo $lang['password']; ?>"
                                               value="<?php echo $pwd; ?>">
                                    </div>


                                    <div class="box-footer">
                                        <button type="submit"
                                                class="btn btn-primary"><?php echo $lang['submit']; ?></button>
                                    </div>
                            </form>
                        </div>


                    </div>


        </section>
    </div>

    <footer class="main-footer">
        <strong><?php echo $lang['copyright2017'] ?></strong> <?php echo $lang['all_rights_reserved'] ?>
    </footer>

    <div class="control-sidebar-bg"></div>
</div>

</body>
</html>
