<?php
require ('config.php');
require ('../lang.php');
require ('../files/dbstart.php');
require ('../files/session.php');

?>
<!DOCTYPE html>
<html>

<?php
require('../files/head.php');
?>


<body class="hold-transition skin-blue sidebar-mini">
<!-- Site wrapper -->
<div class="wrapper">

    <?php
    require('../files/header.php');
    ?>
    <?php
    require('sidebar.php');
    ?>

    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">

            <div class="box box-primary">

                <div class="box-body">
                    <table width=100%>
                        <tr>
                            <td><h3><strong><?php echo $lang['records']; ?></strong></h3></td>
                            <td align=right>
                            </td>
                        </tr>
                    </table>


                    <table id="records" class="table table-bordered">

                        <?php
                        $res = getArrayWithQuery('select * from records where userid=' . $userid);
                        foreach ($res as $row) {
                            ?>

                            <tr>
                                <td><img class="thumb-gif-img" src="<?php echo $row['gifpath']; ?>"></td>
                                <td><i class="fa fa-pencil-square-o"></i><a href="addedit.php?edit&recordid=<?php echo $row['id'];?>">
                                        <?php echo $lang['edit']; ?></a> </td>
                                <td><i class="fa fa-eye"></i> <a
                                        href="popup.php?option=com_jumi&amp;fileid=3&amp;Itemid=11"
                                        onclick="window.open('<?php echo $row['gifpath']; ?>','targetWindow', 'toolbar=no, location=no, status=no, menubar=no, scrollbars=yes, resizable=yes, width=500px, height=500px'); return false;"><?php echo $lang['view']; ?></a>
                                </td>
                                <td><i class="fa fa-download"></i><a href="<?php echo $row['gifpath']; ?>"
                                                                     download> <?php echo $lang['download']; ?> </a>
                                </td>
                                <td><i class="fa fa-trash"></i><a href="#"
                                        class="btn-del-record"> <?php echo $lang['delete']; ?></a></td>
                            </tr>

                        <?php } ?>

                    </table>
                </div>
            </div>


        </section>
    </div>

    <script src="../plugins/jQuery/jquery-2.2.3.min.js"></script>
    <script src="../dist/js/records.js"></script>

    <?php
    require('../files/footer.php');
    ?>

    <!-- Add the sidebar's background. This div must be placed
         immediately after the control sidebar -->
    <div class="control-sidebar-bg"></div>
</div>
<!-- ./wrapper -->

<?php
require('../files/bootfoot.php');
?>

</body>
</html>
