<?php
$lang = array(
    'signin' => 'Sign in',
    'rememberme' => 'Remember Me',
    'forgotpassword' => 'I forgot my password',
    'register' => 'Register',
    'orlogin' => 'Or login',
    'fullname' => 'Full name',
    'email' => 'Email',
    'password' => 'Password',
    'retypepassword' => 'Retype password',
    'admin' => 'Admin',

    'install' => 'Installation',
    
    'home' => 'Home',
    'users' => 'Users',
    'record' => 'Record',
    'records' => 'Records',
    
    'credentials' => 'Credentials',
    'login' => 'Log in',
    'logout' => 'Log out',
    
    'addnew' => 'Add new',
    'edit' => 'Edit',
    
    'fromname' => 'FROM name',
    'fromemail' => 'FROM email',
    'emailaddress' => 'Email address',
    'submit' => 'Submit',
    'name' => 'Name',
    'welcome' => 'Welcome',
    'welcome_text' => 'Please select from the options on the left.',


    'delete' => 'Delete',
    'deactivate' => 'Deactivate',
    'download' => 'Download',
    'view' => 'View',
    'add' => 'Add',
    'search' => 'Search',
    'next' => 'Next',

    'wait_copying_yt' => 'Please wait while copying video from YouTube.',
    'wait_uploading' => 'Please wait while uploading video file.',
    'upload_mp4' => 'Upload mp4 file',
    'save' => 'Save',
    'save_proceed' => 'Save and proceed',
    'saved' => 'Saved.',

    'keep_proportion' => 'Keep proportion',
    'speed' => 'Speed',
    'milliseconds' => 'milliseconds',
    'loop' => 'Loop',
    'you_are_expired' => 'Your account has been expired',

    
    'step1' => 'Step 1',
    'step2' => 'Step 2',
    
    'upload_images' => 'Upload images',
    'upload_files' => 'Upload files',
    'select_files' => 'Select files from your computer',
    'drag_drop' => 'Or drag and drop files below',
    'complete' => 'complete',
    'success' => 'Success',
    'processed' => 'Processed files',
    'preview_note' => 'The uplaoded files will be displayed below.',
   
    'preview_rearrange' => 'Preview and re-arrange images from below.',
    
    'yt_get_screenshots' => 'Or get screenshots from a YouTube video',
    'yt_insert_url' => 'Insert the URL of a YouTube video and click on the Load button',
    'yt_load' => 'Load',
    'yt_load_text' => 'The video will be displayed here once loaded',
    'yt_pause_text' => 'Pause the video and click on the button to save a screenshot. Resume and repeat until you save all the screenshots you need. You can delete a screenshot or change its position. Once done click on the \'Save and Proceed\' button.',
    'yt_video_screenshot' => 'Add screenshot',
    'yt_video_proceed' => 'Proceed',
    'yt_control_anim' => 'Control the animation',
    'yt_control_preview' => 'Preview',

    'username' => 'Username',
    'settings' => 'Settings',
    
    'adminfullname_example' => 'ex. John Doe',

    'nosuchid' => 'There is no such ID.',

    'togglenavigation' => 'Toggle navigation',
    'copyright2017' => 'Copyright &copy; 2017',
    'all_rights_reserved' => '<strong>John Delavera. All rights reserved.</strong>',

    'notifydesc' => 'By checking the box the user will get the credentials via email.',
    'notify' => 'Notify user',
    'onlyactive' => 'Display only active users',
    'expire_label' => 'Expire user on (optional)',
    
    'addandedit' => 'Add/Edit',
    'allfieldreq' => 'Please make sure that all fields are specified!',
    'passwordmismatch' => 'The passwords are not equal!',

    'hi' => 'Hi',
    'your_account_is_created' => 'Your account is created.',
    'your_account_is_updated' => 'Your account is updated.',
    'click_the_following_link_to_login' => 'Click the following link to log in.',

    'database_error' => 'Database error!',
    'email_already exist' => 'The e-mail is already in use. Please try another one.',
    'preview' => 'Preview',

    //log-messages
    'dbupdated' => 'Database was updated.',
    'dbinserted' => 'Added in database',
    'nosuchrecord' => 'No such record',
    'connectingdb' => 'Connecting database',
    'connectionfailed' => 'Connection failed',
    'dbconnected' => 'Database connected',

    'name-emailgt50' => 'The name and email must not exceed 50 characters',

    'send_pwd_to_email' => 'Send new password to email',
    'your_password_changed' => 'Your password has been changed.',
    'no_email' => 'The email does not exist!',
    'password_sent_success' => 'The new password has been sent to your email.',
    'went_wrong' => 'Sorry, something went wrong',
    'add_to_ws' => 'Add to workspace',
);
